river-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Craig L Russell <Craig.Russ...@Sun.COM>
Subject Re: a potential "AR1" release
Date Fri, 14 Sep 2007 21:14:17 GMT

On Sep 5, 2007, at 7:48 PM, John Sarman wrote:

>> Dan Creswell wrote:
>>> John Sarman wrote:
>>>
>>> I know that most would like to see River have a release, but has  
>>> anybody
>>> discussed making the minimum required JRE 1.5.
>>> Jini alway craved the need for templates and Generics and the  
>>> move to
> River
>>> would allow for just that.
>>>
>
>> That's been discussed over on Jini-Users a few times don't think  
>> there's
>> an agreed view (be worth checking through the archives).  I also  
>> think
>> this is probably to big of an issue to be considering for AR1  
>> (which to
>> a reasonable degree is about us committers figuring out how to  
>> drive).
>
> A requirement of River to use a minimum JRE of 1.5 could be applied  
> to AR1
> because Java is upwards compatible.
> AR1 could be compatible with 1.4 (based off jini2_1). However, by  
> requiring
> 1.5, committers could generify some classes in the core  
> architecture for
> type safety additions to River in later releases.
>
> I am asking for the community to choose a minimum version of Java  
> greater
> than 1.4.x to sail up the River .
>
>> Might also be worth organizing some kind of canvas to find out  
>> what JDK
>> is in production around commercial Jini-user land.......
>
> I personally would like to see 1.6 as the minimum (GPL'ed Java) .

IIUC (someone with better information please correct me) the GPL  
version of Java, available as OpenJDK, is Java 7 not Java 6.

Craig
>
> --
> John

Craig Russell
Architect, Sun Java Enterprise System http://java.sun.com/products/jdo
408 276-5638 mailto:Craig.Russell@sun.com
P.S. A good JDO? O, Gasp!


Mime
View raw message